# Some notes on this RPM:
#   There are two expected rpmlint errors: dangling-symlink and file-not-in-%lang.
#   The dangling symlinks have been deemed OK by Toshio Kuratomi:
#     18:08 < abadger1999> ianweller: Those rpmlint wanrings can be ignored as long as things continue to work when the actual files in /usr/share/locale are gone.
#   ... which they do. In addition, rpmlint is not smart enough to realize that the files that are not in %lang are not actually the .mo files; they are *symlinks*.


%global plugin_name add-to-any-subscribe
%global plugin_human_name Add to Any Subscribe Button


Name:		wordpress-plugin-%{plugin_name}
Version:	0.9.6.4.1
Release:	2%{?dist}
Summary:	%{plugin_human_name} plugin for WordPress

Group:		Applications/Publishing
# According to http://plugins.trac.wordpress.org/ all plugins are licensed
# under the GPL unless otherwise stated in the plugin source.
License:	GPLv3+
URL:		http://wordpress.org/extend/plugins/%{plugin_name}/
Source0:	http://downloads.wordpress.org/plugin/%{plugin_name}.%{version}.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	wordpress
BuildArch:	noarch

%description
Helps readers subscribe to your blog using any feed reader, such as Google
Reader, My Yahoo!, Netvibes, Windows Live, and all other RSS readers. The
button comes with Add to Any's customizable Smart Menu, which places the
services visitors use at the top of the menu, based on each visitor's browsing
history.

 * Add to Any Smart Menu
 * Includes all services
 * Services updated automatically
 * WordPress optimized, localized (i18n for English, Chinese, Danish)
 * Searchable on key-down
 * Keyboard navigation
 * Many more publisher and user features

This package is built for use with WordPress (wordpress), not WordPress MU. Use
wordpress-mu-plugin-%{plugin_name} for WordPress MU.

Additional language files are available in the
wordpress-plugin-%{plugin_name} package.


%package -n wordpress-mu-plugin-%{plugin_name}
Summary:	%{plugin_human_name} plugin for WordPress MU
Group:		Applications/Publishing
# According to http://plugins.trac.wordpress.org/ all plugins are licensed
# under the GPL unless otherwise stated in the plugin source.
License:	GPLv3+
Requires:	wordpress-mu
BuildArch:	noarch

%description -n wordpress-mu-plugin-%{plugin_name}
Helps readers subscribe to your blog using any feed reader, such as Google
Reader, My Yahoo!, Netvibes, Windows Live, and all other RSS readers. The
button comes with Add to Any's customizable Smart Menu, which places the
services visitors use at the top of the menu, based on each visitor's browsing
history.

 * Add to Any Smart Menu
 * Includes all services
 * Services updated automatically
 * WordPress optimized, localized (i18n for English, Chinese, Danish)
 * Searchable on key-down
 * Keyboard navigation
 * Many more publisher and user features

This package is built for use with WordPress MU (wordpress-mu), not regular
WordPress. Use wordpress-plugin-%{plugin_name} for regular Wordpress.

Additional language files are available in the
wordpress-mu-plugin-%{plugin_name} package.


%package i18n
Summary:	Language files for %{plugin_human_name} WordPress plugin
Group:		Applications/Publishing
# According to http://plugins.trac.wordpress.org/ all plugins are licensed
# under the GPL unless otherwise stated in the plugin source.
License:	GPLv3+
BuildArch:	noarch

%description i18n
This package contains shared internationalization files for this plugin which
are used for the WordPress and WordPress MU packages.


%prep
%setup -q -c
echo 'To enable "%{plugin_human_name}", go to the administrative section
of your blog, "Plugins", and enable the plugin there.' > README.fedora
echo 'To allow users to enable "%{plugin_human_name}" for their blogs,
be sure to enable this plugin in the administrative control panel
for your website.' > README.fedora.mu
echo 'This package contains documentation for "%{plugin_human_name}".' > README.fedora.i18n


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/wordpress/wp-content/plugins/
cp -a %{plugin_name} %{buildroot}%{_datadir}/wordpress/wp-content/plugins/
mkdir -p %{buildroot}%{_datadir}/wordpress-mu/wp-content/plugins/
cp -a %{plugin_name} %{buildroot}%{_datadir}/wordpress-mu/wp-content/plugins/
rm -rf %{buildroot}%{_datadir}/wordpress/wp-content/plugins/%{plugin_name}/i18n/*
rm -rf %{buildroot}%{_datadir}/wordpress-mu/wp-content/plugins/%{plugin_name}/i18n/*
mkdir -p %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/
mv %{plugin_name}/i18n/%{plugin_name}.mo %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/%{name}.mo
ln -s %{_datadir}/locale/en/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/wordpress/wp-content/plugins/%{plugin_name}/i18n/%{plugin_name}.mo; \
ln -s %{_datadir}/locale/en/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/wordpress-mu/wp-content/plugins/%{plugin_name}/i18n/%{plugin_name}.mo; \
for mo in %{plugin_name}/i18n/*.mo; do \
	LANGCODE=$(echo $mo | sed -e "s@%{plugin_name}/i18n/%{plugin_name}-\([^ ]*\).mo@\1@"); \
	mkdir -p %{buildroot}%{_datadir}/locale/$LANGCODE/LC_MESSAGES/; \
	mv %{plugin_name}/i18n/%{plugin_name}-$LANGCODE.mo %{buildroot}%{_datadir}/locale/$LANGCODE/LC_MESSAGES/%{name}.mo; \
	ln -s %{_datadir}/locale/$LANGCODE/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/wordpress/wp-content/plugins/%{plugin_name}/i18n/%{plugin_name}-$LANGCODE.mo; \
	ln -s %{_datadir}/locale/$LANGCODE/LC_MESSAGES/%{name}.mo %{buildroot}%{_datadir}/wordpress-mu/wp-content/plugins/%{plugin_name}/i18n/%{plugin_name}-$LANGCODE.mo; \
done
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.fedora
%{_datadir}/wordpress/wp-content/plugins/%{plugin_name}


%files -n wordpress-mu-plugin-%{plugin_name}
%defattr(-,root,root,-)
%doc README.fedora.mu
%{_datadir}/wordpress-mu/wp-content/plugins/%{plugin_name}


%files i18n -f %{name}.lang
%defattr(-,root,root,-)
%doc README.fedora.i18n


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Ian Weller <ian@ianweller.org> - 0.9.6.4.1-1
- Initial package build
